Package org.apache.uima.analysis_engine

# Interface TextAnalysisEngine

All Superinterfaces:
  `AnalysisEngine`, `CasObjectProcessor`, `CasProcessor`, `ConfigurableResource`, `Resource`

All Known Implementing Classes:
  `AggregateAnalysisEngine_impl`, `AnalysisEngineImplBase`, `AnalysisEngineProcessorAdapter`, `AnalysisEngineServiceAdapter`, `CasProcessorAnnotator`, `JCasProcessorAnnotator`, `MultiprocessingAnalysisEngine_impl`, `PearAnalysisEngineWrapper`, `PrimitiveAnalysisEngine_impl`, `UimacppAnalysisEngineImpl`

@Deprecated public interface TextAnalysisEngine extends AnalysisEngine
Deprecated.
As of v2.0, `AnalysisEngine` should be used instead. This interface no longer defines any additional methods beyond those in AnalysisEngine.
A Text Analysis Engine (TAE) is a type of Analysis Engine specialized for processing Text documents.

- ## Field Summary

  ### Fields inherited from interface org.apache.uima.analysis_engine.AnalysisEngine

  `MDC_ANNOTATOR_CONTEXT_NAME, MDC_ANNOTATOR_IMPL_NAME, MDC_CAS_ID, MDC_ROOT_CONTEXT_ID, PARAM_CONFIG_PARAM_SETTINGS, PARAM_MBEAN_NAME_PREFIX, PARAM_MBEAN_SERVER, PARAM_NUM_SIMULTANEOUS_REQUESTS, PARAM_RESOURCE_MANAGER, PARAM_THROTTLE_EXCESSIVE_ANNOTATOR_LOGGING, PARAM_TIMEOUT_PERIOD`

  ### Fields inherited from interface org.apache.uima.resource.Resource

  `PARAM_AGGREGATE_SOFA_MAPPINGS, PARAM_CONFIG_MANAGER, PARAM_EXTERNAL_OVERRIDE_SETTINGS, PARAM_PERFORMANCE_TUNING_SETTINGS, PARAM_UIMA_CONTEXT`

- ## Method Summary

  ### Methods inherited from interface org.apache.uima.analysis_engine.AnalysisEngine

  `batchProcessComplete, collectionProcessComplete, createResultSpecification, createResultSpecification, getAnalysisEngineMetaData, getFeatureNamesForType, getLogger, getManagementInterface, getPerformanceTuningSettings, getResourceManager, initialize, newCAS, newJCas, process, process, process, process, process, process, process, processAndOutputNewCASes, processAndOutputNewCASes, reconfigure, setLogger, setResultSpecification`

  ### Methods inherited from interface org.apache.uima.collection.base_cpm.CasObjectProcessor

  `processCas, processCas, typeSystemInit`

  ### Methods inherited from interface org.apache.uima.collection.base_cpm.CasProcessor

  `batchProcessComplete, collectionProcessComplete, getProcessingResourceMetaData, isReadOnly, isStateless`

  ### Methods inherited from interface org.apache.uima.resource.ConfigurableResource

  `getConfigParameterValue, getConfigParameterValue, setConfigParameterValue, setConfigParameterValue`

  ### Methods inherited from interface org.apache.uima.resource.Resource

  `destroy, getMetaData, getUimaContext, getUimaContextAdmin`